#!/usr/bin/bash

# 拼接文本
header='"LncRNA","Set","D1_chr","D2_start","D3_end","D4_Version","Sub_Class","Class"'
output=data/Enhancer.csv
echo $header > $output &&\
ls database/\`human\@Enhancer#*.txt|xargs -i sed '1d' {} >> $output
# 按照Sub_Class拆分文本
input=data/Enhancer.csv &&\
output=data_output/detail_Enhancer_Closest.txt &&\
echo $header > $output &&\
cat $input|awk -F',' '{if($2=="\"ROSE_Closest\"")print $3","$4","$5","$6","$7","$8",\"'"Closest"'\","$1}' >> $output

input=data/Enhancer.csv &&\
output=data_output/detail_Enhancer_Proximal.txt &&\
echo $header > $output &&\
cat $input|awk -F',' '{if($2=="\"ROSE_Proximal\"")print $3","$4","$5","$6","$7","$8",\"'"Proximal"'\","$1}' >> $output

input=data/Enhancer.csv &&\
output=data_output/detail_Enhancer_Overlap.txt &&\
echo $header > $output &&\
cat $input|awk -F',' '{if($2=="\"ROSE_Overlap\"")print $3","$4","$5","$6","$7","$8",\"'"Overlap"'\","$1}' >> $output

# Set文件
# output=data_output/set_Enhancer.txt &&\
# echo "Class,Sub_Class,Set,LncRNA" > $output &&\
# awk -F, '{print "\"'"Enhancer"'\","$0}' database/\`human\@set_Enhancer\`.txt|awk -F'","' '{if($2=="ROSE_Closest" || $2=="ROSE_Proximal" || $2=="ROSE_Overlap")print $1"\",\""$2"\",\""$3"\",\""$4"\""}' \
# |sed 's/ROSE_Closest/Closest/g' \
# |sed 's/ROSE_Proximal/Proximal/g' \
# |sed 's/ROSE_Overlap/Overlap/g' \
# >> $output &
