import pandas as pd


def lnc_filter(data):
    data = data.dropna().drop_duplicates()
    lncrans = pd.read_csv("data/LncSEA+NONCODE+GENCODE.lnc.txt")
    lncrans = set(lncrans["LncRNA"])
    print("---------------Shape: ---------------", data.shape)
    data = data[data['sample'].apply(lambda x: x in lncrans)]
    print("---------------Shape: ---------------", data.shape)
    return data

# 下载 https://xenabrowser.net/hub/
tcga_brca = pd.read_csv(snakemake.input[0],sep="\t")
tcga_brca = lnc_filter(tcga_brca)
tcga_brca.to_csv(snakemake.output[0],sep="\t",index=False)

